A
A
Able Pro
Code Ignitor
Search
K

Getting Started

Setup Able Pro CodeIgniter
Able Pro supports CodeIgniter 5. The following is a guide to quickly start using the template.

Prerequisites

XAMPP/ WAMP

Make sure to have XAMPP installed on your computer. Currently, Able Pro supports PHP version 7.4 or newer.

Composer

A composer is a tool for dependency management in PHP. It allows you to declare the libraries your project depends on and it will manage (install/update) them for you.
Make sure to have Composer installed on your computer. Currently, Composer supports PHP version 7.4 to run.
Open Terminal and set the directory /download/Able-pro/ and run the following commands step by step.
// Install all required packages in the Vendor folder
composer install
// Runs the project
php spark serve